Page MenuHomePhabricator

CX2: Add abuse filters to the test environment
Closed, ResolvedPublic

Description

In order to be able to test the support for communicating errors and warnings (T189488) in CX2 testing servers, we need abuse filters to be available. Copying some example abuse filters from actual wikis wold be helpful to make realistic tests.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2018, 8:09 AM
Pginer-WMF triaged this task as High priority.Apr 19 2018, 8:10 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Apr-June board.

@Pginer-WMF I've added some AB to: http://cx2-testing.wmflabs.org/index.php?title=Special:AbuseFilter I'll go through different Wikis and add some more common filters. Let me know if we need any specific filters too.

I'm interested in seeing the effect of some of these abuse filters in the test servers. I tried but failed to find an example that works. Can anyone give detailed steps to surface one of these errors?
In case the abuse filters marked as warn, disalow or tag work differently, it would be good to be able to check each type.

I'm interested in seeing the effect of some of these abuse filters in the test servers. I tried but failed to find an example that works. Can anyone give detailed steps to surface one of these errors?
In case the abuse filters marked as warn, disalow or tag work differently, it would be good to be able to check each type.

This page (WIP) describes some examples that will work with Wiki or inside CX2: http://cx2-testing.wmflabs.org/index.php/AbuseFilterTest

Arrbee moved this task from In Review to QA on the Language-2018-Apr-June board.May 31 2018, 8:14 AM
Etonkovidova closed this task as Resolved.Jun 6 2018, 7:44 PM
Etonkovidova added a subscriber: Etonkovidova.

I successfully hit "Creation of a new article without any categories" and "Youtube links"
The Console log records it dutifully:

[CX] Publishing failed Hit AbuseFilter: Creation of a new article without any categories 
 [CX] Publishing failed Hit AbuseFilter: Youtube links

The RC page displays tagged edits when it's specified for a filter( "Creation of a new article without any categories")
The filters are not applied if a user publishes to User namespace (Personal draft).

To summarize:

In case the abuse filters marked as warn, disalow or tag work differently, it would be good to be able to check each type.

The overall behavior of two tested filters is according to the filters' description. I did not see any problems related to the fact that AbuseFilters are applied on ContentTranslation page. I tried hitting AbuseFilters as a new User and as a Autoconfirmed user. Also, warn, disallow, and tag - work as expected.

@KartikMistry - do I need to check other AbuseFilters that you created in CX2? Let me know if it needs more testing.

KartikMistry moved this task from QA to Done on the Language-2018-Apr-June board.Jun 7 2018, 8:14 AM